Bug 42894 - Screen history doesn't work
Summary: Screen history doesn't work
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: screen   
(Show other bugs)
Version: 7.1
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Phil Copeland
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-05-30 18:15 UTC by Artem Veremey
Modified: 2007-04-18 16:33 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-07 22:26:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Artem Veremey 2001-05-30 18:15:45 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.4.2-2 i686; en-US; rv:0.9)
Gecko/20010507

Description of problem:
Starting screen with -h option doesn't work. Screen history remains at the
terminal size.

How reproducible:
Always

Steps to Reproduce:
1. screen -h 600 -a
2. ps -ef
	

Actual Results:  screen doesn't keep history of X lines

Additional info:

Comment 1 Crutcher Dunnavant 2001-06-26 20:43:31 UTC
works in ver 3.9.9 in rawhide

Comment 2 Artem Veremey 2001-07-03 00:43:31 UTC
Still doesn't work in my RedHat 7.1 installation.
screen-3.9.9-1 (from rawhide)
ncurses-5.2-8
ncurses-devel-5.2-8
ncurses4-5.0-2
Also "remote" screen doesn't scroll either. When I run a screen with -h option
from ssh to RedHat 6.2 / Solaris it doesn't scroll in
xterm/rxvt/gnome-terminal/etc on RedHat 7.1



Comment 3 Phil Copeland 2002-08-12 19:04:03 UTC
works fine

(3.9.9 and up)

[root@alpha root]# screen -h 600 -a
[root@alpha root]# ps -ef
<scroll>

<ctrl-a : >copy<return>
scroll around with h, j, k, l keys
<esc> to bail out of copy mode

Phil
=--=




Note You need to log in before you can comment on or make changes to this bug.